lp:ubuntu/lucid/pkgbinarymangler

Created by James Westby and last modified
Get this branch:
bzr branch lp:ubuntu/lucid/pkgbinarymangler
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

42. By Martin Pitt

* pkgstriptranslations: Work on all binary packages, not just the first one.
  If a static tarball already exists, unpack it into our work directory, so
  that we merge the GNOME help files of all binary packages. (LP: #457027)
* debian/control: Bump Standards-Version to 3.8.4 (no changes necessary).

41. By Stéphane Graber

Looks like a .bzrignore in the bzr branch made a few useful files disappear
in the last upload. Re-upload the change manually basing on version 66.

40. By Stéphane Graber

Add ldm to the striptranslations blacklist.
(Only installed in a chroot with no langpack but translation wanted)

39. By Loïc Minier

* Add Vcs-Bzr header; this is now in Bzr at
  lp:~ubuntu-core-dev/pkgbinarymangler/ubuntu.
* Install conffiles, binaries, and data file with dh_install.
* List man pages in debian/pkgbinarymangler.manpages instead of the
  dh_installman command-line.
* Switch to dh in rules; bump debhelper build-dep to >= 7.
* Make maintainer scripts slightly more robust.
* common: skip tests on /CurrentlyBuilding if PKG_IGNORE_CURRENTLY_BUILDING
  is set to 1; this is particularly useful when a package builds launches an
  embedded package build, such as the testsuite of pkg-create-dbgsym.
  Ideally, we'd have a nicer way to sanity check the same information.
* Bump up Standards-Version to 3.8.3.
* Add ${misc:Depends}.

38. By Evan

Add xkb-data-i18n to the striptranslations blacklist.

37. By Martin Pitt

pkgstriptranslations: Do not copy .pc/* into the translation tarball.
(LP: #410658)

36. By Michael Bienia

* pkgstriptranslations:
  - Use # instead of @ for the sed delimiter as @ can appear in locale
    names (lp: #434544)

35. By Martin Pitt

* pkgstriptranslations:
  - Also store /usr/share/omf/ files in static translation tarball.
  - Remove GNOME help translation files now, and replace them with symlinks
    to /usr/share/omf-langpack/* and usr/share/gnome/help-langpack/*.

34. By Martin Pitt

* pkgstriptranslations: Extract GNOME help translations into a new tarball
  and add them to the upload as raw-translations-static component. Do not
  strip the files from the .debs just yet, since the upload/download
  infrastructure in Soyuz still needs to be tested, and the language pack
  integration bits need to be written. See LP #123020
* debian/compat, debian/control: Bump to debhelper compat 5, 4 is
  deprecated.
* debian/control: Bump Standards-Version to 3.8.2.
* debian/control: Drop long-obsolete Replaces.

33. By Martin Pitt

pkgbinarymangler: Update package's md5sums list for modified .desktop
files. (LP: #392149)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/pkgbinarymangler
This branch contains Public information 
Everyone can see this information.

Subscribers